4.0.0
org.checkerframework
MavenExample
1.0-SNAPSHOT
jar
MavenExample
http://maven.apache.org
UTF-8
${org.checkerframework:jdk8:jar}
${com.google.errorprone:javac:jar}
3.2.0
junit
junit
4.12
test
org.checkerframework
checker-qual
${checkerFrameworkVersion}
org.checkerframework
jdk8
${checkerFrameworkVersion}
com.google.errorprone
javac
9+181-r4173-1
org.apache.commons
commons-lang3
3.1
javax.servlet
servlet-api
2.4
provided
org.apache.maven.plugins
maven-dependency-plugin
properties
maven-compiler-plugin
3.8.1
true

    1.8

1.8
true
org.checkerframework
checker
${checkerFrameworkVersion}
org.checkerframework.checker.nullness.NullnessChecker
-J-Xbootclasspath/p:${errorProneJavac}
-Xbootclasspath/p:${annotatedJdk}
-Alint
org.apache.maven.plugins
maven-site-plugin
3.2
true
org.apache.maven.plugins
maven-jxr-plugin
2.1
org.codehaus.mojo
findbugs-maven-plugin
3.0.3
true
true
true
true